# TdApi.GetMessageAvailableReactions (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: GetMessageAvailableReactions

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetMessageAvailableReactions

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.AvailableReactions>
it.tdlight.jni.TdApi.GetMessageAvailableReactions

Enclosing class:
  TdApi

public static final class TdApi.GetMessageAvailableReactions extends TdApi.Function<TdApi.AvailableReactions>
Returns reactions, which can be added to a message. The list can change after updateActiveEmojiReactions, updateChatAvailableReactions for the chat, or updateMessageInteractionInfo for the message.

Returns `AvailableReactions`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat to which the message belongs.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long`
`messageId`
Identifier of the message.
`int`
`rowSize`
Number of reaction per row, 5-25.

## Constructor Summary

Constructors
Constructor
Description
`GetMessageAvailableReactions()`
Returns reactions, which can be added to a message.
`GetMessageAvailableReactions(long chatId, long messageId, int rowSize)`
Returns reactions, which can be added to a message.
`GetMessageAvailableReactions(DataInput input)`
Returns reactions, which can be added to a message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat to which the message belongs.

### messageId

public long messageId
Identifier of the message.

### rowSize

public int rowSize
Number of reaction per row, 5-25.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetMessageAvailableReactions

public GetMessageAvailableReactions()
Returns reactions, which can be added to a message. The list can change after updateActiveEmojiReactions, updateChatAvailableReactions for the chat, or updateMessageInteractionInfo for the message.

Returns `AvailableReactions`

### GetMessageAvailableReactions

public GetMessageAvailableReactions(long chatId, long messageId, int rowSize)
Returns reactions, which can be added to a message. The list can change after updateActiveEmojiReactions, updateChatAvailableReactions for the chat, or updateMessageInteractionInfo for the message.

Returns `AvailableReactions`

Parameters:
  `chatId` - Identifier of the chat to which the message belongs.
  `messageId` - Identifier of the message.
  `rowSize` - Number of reaction per row, 5-25.

  Returns `AvailableReactions`

### GetMessageAvailableReactions

public GetMessageAvailableReactions(DataInput input) throws IOException
Returns reactions, which can be added to a message. The list can change after updateActiveEmojiReactions, updateChatAvailableReactions for the chat, or updateMessageInteractionInfo for the message.

Returns `AvailableReactions`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`